### Method

# Adw MessageDialog add_response

#### Declaration [src]

    void
    adw_message_dialog_add_response (
      AdwMessageDialog* self,
      const char* id,
      const char* label
    )

#### Description [src]

Adds a response with `id` and `label` to `self`.

Responses are represented as buttons in the dialog.

Response ID must be unique. It will be used in `AdwMessageDialog::response` to tell which response had been activated, as well as to inspect and modify the response later.

An embedded underline in `label` indicates a mnemonic.

`adw_message_dialog_set_response_label()` can be used to change the response label after it had been added.

`adw_message_dialog_set_response_enabled()` and `adw_message_dialog_set_response_appearance()` can be used to customize the responses further.

Available since: | 1.2

#### Parameters

`id` | `const char*`
| The response ID.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`label` | `const char*`
| The response label.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.